Aria: ArGlobalRetFunctor3< Ret, P1, P2, P3 > Class Template Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ArGlobalRetFunctor3< Ret, P1, P2, P3 > Class Template Reference

`#include <ArFunctor.h>`

Inheritance diagram for ArGlobalRetFunctor3< Ret, P1, P2, P3 >:

List of all members.

## Detailed Description

### template<class Ret, class P1, class P2, class P3>
class ArGlobalRetFunctor3< Ret, P1, P2, P3 >

Functor for a global function with 2 parameters and return value.

This is a class for global functions which take 2 parameters and return a value. This ties a C style function pointer into the functor class hierarchy as a convience. Code that has a reference to this class and treat it as an ArFunctor can use it like any other functor.

For an overall description of functors, see ArFunctor.

## Public Member Functions
| ArGlobalRetFunctor3 (Ret(*func)(P1, P2, P3), P1 p1, P2 p2, P3 p3)
| Constructor - supply function pointer, default parameters.
| ArGlobalRetFunctor3 (Ret(*func)(P1, P2, P3), P1 p1, P2 p2)
| Constructor - supply function pointer, default parameters.
| ArGlobalRetFunctor3 (Ret(*func)(P1, P2, P3), P1 p1)
| Constructor - supply function pointer, default parameters.
| ArGlobalRetFunctor3 (Ret(*func)(P1, P2, P3))
| Constructor - supply function pointer.
| ArGlobalRetFunctor3 ()
| Constructor.
virtual Ret | invokeR (P1 p1, P2 p2, P3 p3)
| Invokes the functor with return value.
virtual Ret | invokeR (P1 p1, P2 p2)
| Invokes the functor with return value.
virtual Ret | invokeR (P1 p1)
| Invokes the functor with return value.
virtual Ret | invokeR (void)
| Invokes the functor with return value.
virtual void | setP1 (P1 p1)
| Set the default parameter.
virtual void | setP2 (P2 p2)
| Set the default 2nd parameter.
virtual void | setP3 (P3 p3)
| Set the default third parameter.
virtual | ~ArGlobalRetFunctor3 ()
| Destructor.
## Protected Attributes
Ret(* | myFunc )(P1, P2, P3)
P1 | myP1
P2 | myP2
P3 | myP3

## Constructor & Destructor Documentation

template<class Ret, class P1, class P2, class P3>

ArGlobalRetFunctor3< Ret, P1, P2, P3 >::ArGlobalRetFunctor3 | ( | Ret(*)(P1, P2, P3) | func | ) | `[inline]`

Constructor - supply function pointer.

Parameters:

  | func | global function pointer

template<class Ret, class P1, class P2, class P3>

ArGlobalRetFunctor3< Ret, P1, P2, P3 >::ArGlobalRetFunctor3 | ( | Ret(*)(P1, P2, P3) | func,
|  | P1 | p1 |
| ) |  |  | `[inline]`

Constructor - supply function pointer, default parameters.

Parameters:

  | func | global function pointer
  | p1 | default first parameter

template<class Ret, class P1, class P2, class P3>

ArGlobalRetFunctor3< Ret, P1, P2, P3 >::ArGlobalRetFunctor3 | ( | Ret(*)(P1, P2, P3) | func,
|  | P1 | p1,
|  | P2 | p2 |
| ) |  |  | `[inline]`

Constructor - supply function pointer, default parameters.

Parameters:

  | func | global function pointer
  | p1 | default first parameter
  | p2 | default second parameter

template<class Ret, class P1, class P2, class P3>

ArGlobalRetFunctor3< Ret, P1, P2, P3 >::ArGlobalRetFunctor3 | ( | Ret(*)(P1, P2, P3) | func,
|  | P1 | p1,
|  | P2 | p2,
|  | P3 | p3 |
| ) |  |  | `[inline]`

Constructor - supply function pointer, default parameters.

Parameters:

  | func | global function pointer
  | p1 | default first parameter
  | p2 | default second parameter
  | p3 | default third parameter

## Member Function Documentation

template<class Ret, class P1, class P2, class P3>

virtual Ret ArGlobalRetFunctor3< Ret, P1, P2, P3 >::invokeR | ( | P1 | p1,
|  | P2 | p2,
|  | P3 | p3 |
| ) |  |  | `[inline, virtual]`

Invokes the functor with return value.

Parameters:

  | p1 | first parameter
  | p2 | second parameter
  | p3 | third parameter

Implements ArRetFunctor3< Ret, P1, P2, P3 >.

template<class Ret, class P1, class P2, class P3>

virtual Ret ArGlobalRetFunctor3< Ret, P1, P2, P3 >::invokeR | ( | P1 | p1,
|  | P2 | p2 |
| ) |  |  | `[inline, virtual]`

Invokes the functor with return value.

Parameters:

  | p1 | first parameter
  | p2 | second parameter

Implements ArRetFunctor3< Ret, P1, P2, P3 >.

template<class Ret, class P1, class P2, class P3>

virtual Ret ArGlobalRetFunctor3< Ret, P1, P2, P3 >::invokeR | ( | P1 | p1 | ) | `[inline, virtual]`

Invokes the functor with return value.

Parameters:

  | p1 | first parameter

Implements ArRetFunctor3< Ret, P1, P2, P3 >.

template<class Ret, class P1, class P2, class P3>

virtual void ArGlobalRetFunctor3< Ret, P1, P2, P3 >::setP1 | ( | P1 | p1 | ) | `[inline, virtual]`

Set the default parameter.

Parameters:

  | p1 | default first parameter

template<class Ret, class P1, class P2, class P3>

virtual void ArGlobalRetFunctor3< Ret, P1, P2, P3 >::setP2 | ( | P2 | p2 | ) | `[inline, virtual]`

Set the default 2nd parameter.

Parameters:

  | p2 | default second parameter

template<class Ret, class P1, class P2, class P3>

virtual void ArGlobalRetFunctor3< Ret, P1, P2, P3 >::setP3 | ( | P3 | p3 | ) | `[inline, virtual]`

Set the default third parameter.

Parameters:

  | p3 | default third parameter

The documentation for this class was generated from the following file:

- ArFunctor.h